commit: 4a7d8be51a40c1535d62abc8f122922de8e8334d
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 21 08:09:00 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Oct 21 08:38:00 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a7d8be5
dev-perl/Festival-Client-Async: EAPI6 + Tests
- EAPI6
- Basic compile tests
- Document advanced testing
Package-Manager: Portage-2.3.8, Repoman-2.3.3
.../Festival-Client-Async-0.30.300-r2.ebuild | 37 ++++++++++++++++++++++
1 file changed, 37 insertions(+)
diff --git
a/dev-perl/Festival-Client-Async/Festival-Client-Async-0.30.300-r2.ebuild
b/dev-perl/Festival-Client-Async/Festival-Client-Async-0.30.300-r2.ebuild
new file mode 100644
index 00000000000..6427667e2db
--- /dev/null
+++ b/dev-perl/Festival-Client-Async/Festival-Client-Async-0.30.300-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=DJHD
+DIST_VERSION=0.0303
+inherit perl-module
+
+DESCRIPTION="Non-blocking interface to a Festival server"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~sparc ~x86"
+IUSE=""
+
+src_test() {
+ local MODULES=(
+ "Festival::Client::Async ${DIST_VERSION}"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ ewarn "Comprehensive testing may require manual steps. For details,
see:"
+ ewarn
"https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/dev-perl/Festival-Client-Async"
+ perl-module_src_test
+}